# Contributing

We are really happy that you are interested in contributing to JabRef. Please take your time to look around here. We especially invite you to look into our [community members page](https://discourse.jabref.org/t/community-members/1868?u=koppor) where members introduce themselves.

## I am not a programmer

### I would like to improve the help page. What are the steps? [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

Please use the "Edit on GitHub" link at the upper right corner. Then, follow [GitHub's guide to edit files in other user's repository](https://help.github.com/en/github/managing-files-in-a-repository/editing-files-in-another-users-repository).

### I would like to help translating JabRef to another language. How do I get started? [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

We encourage you to read about [translating the JabRef user interface](/v4/faq/how-tos/how-to-translate-the-ui.md).

### I want to keep Wikipedia pages up-to-date [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

JabRef improves -- and Wikipedia pages should keep up!

Simply click on "Edit" (top right-hand tab).

Currently existing pages are:

* Deutsch: <https://de.wikipedia.org/wiki/JabRef>
* English: <https://en.wikipedia.org/wiki/JabRef>
* Español: <https://es.wikipedia.org/wiki/JabRef>
* Français: <https://fr.wikipedia.org/wiki/JabRef>
* Italiano: <https://it.wikipedia.org/wiki/JabRef>
* Русский: <https://ru.wikipedia.org/wiki/JabRef>
* Portuguese: <https://pt.wikipedia.org/wiki/JabRef>
* Svenska: <https://sv.wikipedia.org/wiki/JabRef>
* Українська: <https://uk.wikipedia.org/wiki/JabRef>
* 中文: <https://zh.wikipedia.org/wiki/JabRef>

If there is no page for you own language, you can easily create one.

### I have some cool feature requests [![Discourse](https://img.shields.io/badge/discourse-online-green.svg)](https://discourse.jabref.org/c/features/6)

[Come discuss about it!](http://discourse.jabref.org/)

### Can I make a donation? How?

Donations keeps us going! You can use Paypal, Flattr, or bank transfers. Your institution/company can contribute too, through bank transfer for example. All details are provided at <https://donations.jabref.org>.

Our team consists of volunteers. To provide better support, we are currently trying to get a funded developer on board. Please consider donating money!

## I am a programmer

### I want to learn about code quality [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

Please head to <https://devdocs.jabref.org/code-quality> to learn about our current efforts to measure and improve code quality.

### I want to start with something easy [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

We collect small issues at <https://github.com/JabRef/jabref/labels/good%20first%20issue>. In case you do not find something suitable, you are invited to get in touch with us. Comment at the issue, check the [the forum](https://discourse.jabref.org/) or join our [chatting channel](https://gitter.im/JabRef/jabref). For the brave, we also collect issues at <https://github.com/koppor/jabref/labels/good%20first%20issue>.

After finding something, please check our [CONTRIBUTING.md](https://github.com/JabRef/jabref/blob/master/CONTRIBUTING.md) for detailed information and further links.

### I want something with huge impact [![Discourse](https://img.shields.io/badge/discourse-online-green.svg)](https://discourse.jabref.org/c/features/6)

Look at the discussions in our forum at <https://discourse.jabref.org/c/features/6>. Find an interesting topic, discuss it and start contributing.

### I need help with the code [![Join the chat at https://gitter.im/JabRef/jabref](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/JabRef/jabref?utm_source=badge\&utm_medium=badge\&utm_campaign=pr-badge\&utm_content=badge)

You can talk to the core developers of JabRef in the [gitter chat](https://gitter.im/JabRef/jabref).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jabref.org/v4/faq/faqcontributing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
